Subject: bug#489 closed by Mark Hindley <[email-masked]> (Re: bug#489: youtube-dl: Fails to list available formats and download videos in YouTube)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Wed, 11 Jan 2023 17:06:03 +0000

This is an automatic notification regarding your bug report
which was filed against the youtube-dl package:

#489: youtube-dl: Fails to list available formats and download videos in YouTube

It has been closed by Mark Hindley <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mark Hindley <[email-masked]> by
replying to this email.

-- 
489: https://bugs.devuan.org/cgi/bugreport.cgi?bug=489
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#489: youtube-dl: Fails to list available formats and download videos in YouTube
From: Mark Hindley <[email-masked]>
To: Job Bautista <[email-masked]>, [email-masked]
Date: Wed, 11 Jan 2023 17:04:20 +0000

Version:  2020.06.16.1-1

Closing as fixed in Debian.

Mark

Subject: youtube-dl: Fails to list available formats and download videos in YouTube
From: Job Bautista <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 11 Jul 2020 08:28:44 +0000

Package: youtube-dl
Version: 2019.01.17-1.1
Severity: grave
Justification: renders package unusable

Dear Maintainer,

I was attempting to downloading a video from YouTube. Usually I list the available formats by using the -F flag. I was downloading a YouTube video with the video ID Cet_uDiB3TM. When I typed "youtube-dl -F https://www.youtube.com/watch?v=CEt_uDiB3TM", it does download the webpage and the info, but then exits with error "YouTube said: Invalid parameters". The same when I tried to download it with "-f 308+251".

It seems the beowulf-backports version fixes this, as typing the same command both for listing available formats and downloading 308+251 works in 2020.06.16.1-1~bpo10+1.

-- System Information:
Distributor ID: Debian
Description: Devuan GNU/Linux 3 (beowulf)
Release: 3
Codename: beowulf
Architecture: x86_64

Kernel: Linux 4.19.0-9-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_PH.UTF-8, LC_CTYPE=en_PH.UTF-8 (charmap=UTF-8), LANGUAGE=en_PH:en (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages youtube-dl depends on:
ii python3 3.7.3-1
ii python3-pkg-resources 40.8.0-1

Versions of packages youtube-dl recommends:
ii ca-certificates 20190110
ii curl 7.64.0-4+deb10u1
ii ffmpeg 7:4.1.4-1~deb10u1
pn mpv | mplayer <none>
ii python3-pyxattr 0.6.1-1
ii rtmpdump 2.4+20151223.gitfa8646d.1-2
ii wget 1.20.1-1.1

-- no debconf information